PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PVarType::Variant::Dynamic Struct Reference

`#include <vartype.h>`

## Public Member Functions
char * | Alloc (size_t sz)
char * | Realloc (size_t sz)
void | Copy (const Dynamic &other)

## Public Attributes
char * | data
size_t | size

## Member Function Documentation

char* PVarType::Variant::Dynamic::Alloc | ( | size_t | sz | ) |

void PVarType::Variant::Dynamic::Copy | ( | const Dynamic & | other | ) |

char* PVarType::Variant::Dynamic::Realloc | ( | size_t | sz | ) |

## Member Data Documentation

char* PVarType::Variant::Dynamic::data

size_t PVarType::Variant::Dynamic::size

The documentation for this struct was generated from the following file:

- vartype.h